/*
    $Id: NSEnumeratingIterator.java,v 1.1 2003/07/03 04:10:36 admin Exp $
    -----
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package util;
import java.util.*;
import com.apple.cocoa.foundation.*;

public class NSEnumeratingIterator implements Iterator {
    NSEnumerator e;

    public NSEnumeratingIterator(NSEnumerator e) {
	this.e = e;
    }

    public boolean hasNext() {
	return e.hasMoreElements();
    }

    public Object next() {
	Object o = e.nextElement();
	if (o == null) {
	    throw new NoSuchElementException();
	}
	return o;
    }

    public void remove() {
	throw new UnsupportedOperationException();
    }
}
